<?
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]' AND `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

$ank=get_user($file_id['id_user']);

if ($ank['id']!=$user['id']) // уведомление
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) VALUES ('0', '$ank[id]', '[img]http://xhata.su/style/icons/SharedZo14.gif[/img] Обитатель [b]$user[nick][/b] оставил комментарий к вашему файлу [url=/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]?komm]$file_id[name][/url]', '$time')");


mysql_query("INSERT INTO `obmennik_komm` (`id_file`, `id_user`, `time`, `msg`) values('$file_id[id]', '$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `lenta_forum` = '1' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_obsuzh="Принял участие в обсуждении файла [u][url=/obmen$dir_id[dir]".urlencode($file_id['name']).".$file_id[ras]?komm]$file_id[name][/url][/u] в Зоне Обмена";

mysql_query("INSERT INTO `obsuzh` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_obsuzh', '$time')"); 
}
msg('Комментарий принят + 2LM');
}
}



err();

if (isset($user))
{
echo "<div class='textmes'>";
echo "<form method=\"post\" name='message' action=\"?komm\">\n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "Сообщение | <a href='/smiles/index.php'>Смайлы</a><br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Добавить комментарий\" type=\"submit\" />\n";
echo "</form>\n";
echo "</div>\n";
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Комменты отсутствуют =(( будь первым!\n";
echo "  </td>\n";
echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `obmennik_komm` WHERE `id_file` = '$file_id[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
echo "   <tr>\n";
if($num==1){
echo "  <td class='linechat'>\n";
$num=0;
}else{
echo "  <td class='linechat'>\n";
$num=1;}

echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";

echo "<br/><span style=\"color:$ank[mcolor]\">";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
echo "   </span>\n";
echo " <div style='text-align: right;'><font color='#afb0a3'>".vremja($post['time'])."</font>";
if (user_access('obmen_komm_del'))
echo " <a href='?komm&amp;page=$page&amp;del_post=$post[id]'><img src='/style/icons/bdel.png' alt='' class='icon'/></a><br />\n";

}
echo "</div>\n";
echo "</table>\n";

if ($k_page>1)str('?komm&amp;',$k_page,$page); // Вывод страниц

?>